ScriptProperty (install4j API)
Description: declaration: package: com.install4j.api.beans, class: ScriptProperty

Package com.install4j.api.beans

# Class ScriptProperty

java.lang.Object
com.install4j.api.beans.ScriptProperty

All Implemented Interfaces:
  `Serializable`

public class ScriptProperty extends Object implements Serializable
Property type for script properties to be used in beans. You can define your own script properties where the user can configure a script in the install4j GUI that is compiled by the install4j compiler and executed at runtime on your request. A script is run via the context by invoking `Context.runScript` with the expected parameters for the script. Parameters are configured via the corresponding BeanInfo class. The `ScriptPropertyDescriptor` class allows you to create a property descriptor that contains information regarding return type and script parameters.

See Also:
  - `Context.runScript(ScriptProperty, Bean, Object[])`
  - `ScriptPropertyDescriptor`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptProperty()`
  The constructor is called by the framework.
  `ScriptProperty(String value)`
  The constructor is called by the framework.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getValue()`
  Required by the framework.
  `int`
  `hashCode()`
  `void`
  `setValue(String value)`
  Required by the framework.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScriptProperty

    public ScriptProperty()
    The constructor is called by the framework.

  - ### ScriptProperty

    public ScriptProperty(String value)
    The constructor is called by the framework.

- ## Method Details

  - ### getValue

    public String getValue()
    Required by the framework. Do not call directly.

  - ### setValue

    public void setValue(String value)
    Required by the framework. Do not call directly.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`